.modal-slide-right .action-close:before {
    font-size: 40px;
    line-height: 32px;
    color: #000;
    content: '\e616';
    font-family: 'icons-blank-theme';
    margin: 0;
    vertical-align: top;
    display: inline-block;
    font-weight: 800;
}

.modal-slide-right {
    left: 50% !important;
    height: 100%;
    background-color: white;
    z-index: 10000;
}




@media only screen and (max-width: 1023px) {
    .modal-slide-right {
        left: 20% !important;
    }
    .modal-slide-right .action-close {
        padding: 0.5rem;
    }
}

.modal-slide-right header.modal-header {
    display: none !important;
}

.modal-slide-right .modal-content{
    position: relative;
    height: 100%;
    padding: 0 !important;
}

.modal-content-iframe {
    height: 100%;
    overflow-y: hidden;
}

/* Estilos para el spinner */
.spinner {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #ffeb3b;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10001; /* Asegúrate de que esté por encima del contenido */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* Disable body scroll when modal is open */
body.no-scroll {
    overflow: hidden !important;
}
